stages:
  - deploy

pages:
  image: node:lts
  stage: deploy
  environment: production
  script:
    - echo "Deploying application..."
    - npm i
    - npm run build
    - mv dist public
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
